package com.ruoyi.common.utils;


import java.util.regex.Pattern;

/**
 * 校验工具类
 * 
 * @author ruoyi
 */
public class CheckUtils
{

    /**
     * 校验身份证
     * 校验通过返回true，否则返回false
     */
    public static boolean checkCard(String card)
    {
        if (StringUtils.isEmpty(card))
            return false;
        String regex="^[1-9]\\d{5}(18|19|([23]\\d))\\d{2}((0[1-9])|(10|11|12))((([0-2][1-9])|10|20|30|31)\\d{3}[0-9Xx]$)|(^[1-9]\\d{5}\\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\\d{2}$)";
        return Pattern.matches(regex, card);
    }

    /**
     * 校验手机号
     * 校验通过返回true，否则返回false
     */
    public static boolean checkPhone(String phone)
    {
        if (StringUtils.isEmpty(phone))
            return false;
        String regex="/^1\\d{10}$|^(0\\d{2,3}-?|\\(0\\d{2,3}\\))?[1-9]\\d{4,7}(-\\d{1,8})?$/";
        return Pattern.matches(regex, phone);
    }
}
